####################################################################
# To Build the new RPM package for PGSQL, to be uploaded 
# to ftp.redhat.com do the following:-
#  mkdir /usr/src/redhat/BUILD
#  mkdir /usr/src/redhat/SRPMS
#  mkdir /usr/src/redhat/RPMS/i386
#
#  Use the following commands - see 'man rpm'
#  rpm --showrc
#  To prep : rpm --short-circuit -bp /usr/src/redhat/SPECS/postgresql*.spec
#  Build   : rpm --short-circuit -bc 
#  Install : rpm --short-circuit -bi 
#  List    : rpm -bl
#  Bin/Src : rpm -ba
####################################################################
Summary: PostgreSQL Data Base Management System 
Name: postgresql-examples
Version: 2.1
Release: 1
Copyright: GPL
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/postgresql-examples-2.1.tgz
#Source1: postgresql.init
#Source2: postgresql-examples-2.1.tgz
#Patch0: postgresql-6.4.2-rh.patch
#Patch1: postgresql-6.3.2-teo.patch
Buildroot: /var/tmp/pgsql-root
BuildArchitectures: noarch
#Prereq: /sbin/chkconfig /sbin/ldconfig /usr/sbin/useradd
Prereq: /usr/sbin/useradd
Url: http://www.postgresql.org/
#Requires: postgresql
Summary(de): PostgreSQL Datenbankverwaltungssystem
Summary(fr): Sysme de gestion de base de donnes PostgreSQL.
Summary(tr): Veri Taban Ynetim Sistemi

%description
PostgreSQL examples are needed to verify and test the installation 
of PostgreSQL database system. These examples will also help you 
to familiarize quickly with PostgreSQL.

The examples have all the interfaces samples to postgresql - JDBC,
C++/C interfaces (libpq, libpq++), perl, python, tcl interfaces etc..

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

#%patch0 -p1 -b .rh

%install
rm -rf $RPM_BUILD_ROOT
# Create sample database
mkdir -p $RPM_BUILD_ROOT/var/lib/pgsql
PATH=/usr/sbin:$PATH 
useradd -M -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" postgres || :
chown -R postgres.postgres $RPM_BUILD_ROOT/var/lib/pgsql
(
	cd $RPM_BUILD_ROOT/var/lib/pgsql
	tar xzf $RPM_SOURCE_DIR/postgresql-examples-2.1.tgz
	mv postgresql-examples-2.1 examples-postgres
	chown postgres.postgres *
	chmod -R 644 *  # read for all and write for user
	find . -type d -exec chmod a+rx {} \;
	#chmod a+rx examples-postgres  # read for all and write for user
)

%pre
useradd -M -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" postgres >/dev/null 2>&1 || :

#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig clients

#%preun
#if [ $1 = 0 ] ; then
#	chkconfig --del postgresql
#fi

#%postun
#/sbin/ldconfig
#if [ $1 = 0 ] ; then
#	userdel postgres >/dev/null 2>&1 || : 
#fi

%clean
rm -rf $RPM_BUILD_ROOT

################################################################
# These are files in the postgresql-6.x.x.rpm package
%files
%defattr(-,postgres,postgres)
#%defattr(-,root,root)
#%config /etc/rc.d/init.d/*
#%doc doc/*.ps.gz
#%doc howto
/var/lib/pgsql/examples-postgres
#/var/lib/pgsql
#/usr/bin/cleardbdir

################################################################
# These are files in the postgresql-data-*.rpm package
#%files data
#%attr(-,postgres,postgres) %dir /var/lib/pgsql
#%attr(-,postgres,postgres) %config /var/lib/pgsql/*
#/usr/bin/pgaccess

################################################################
%changelog
* Tue Sep 19 2000 Al Dev (Alavoor Vasudevan) <alavoor@yahoo.com>
- version 2.1 of pgsql examples rpm - added trigger examples.
* Sun Jul 23 2000 Al Dev (Alavoor Vasudevan) <alavoor@yahoo.com>
- version 2 of pgsql examples rpm
* Sat Mar 11 2000 Al Dev (Alavoor Vasudevan) <alavoor@yahoo.com>
- Initial version of pgsql examples rpm
